bz_delete_computer
  • 11 Apr 2025
  • Dark
    Light

bz_delete_computer

  • Dark
    Light

Article summary

Post
/api/backup/v1/bz_delete_computer

Deletes a backup from an account.

The accountId included in this request must be associated with a group with Enterprise Controls enabled. Additionally, the caller must be an admin of that group.

NOTE: The Enterprise Controls setting All Group admins can delete any Group member backups must be enabled.

Header parameters
Authorization
stringRequired

An account authorization token, obtained from b2_authorize_account.

Body parameters
object
accountId
string Required

The accountId to which the backup belongs.

NOTE: The accountId must be a member of a group with Enterprise Controls enabled.

ExampleACCOUNT_ID
computerId
string Required

The unique identifier of the computer to be deleted.

Exampledeb0b1bcd412a7759709081c
Responses
200

The request succeeded.

Array of object
object
Example{ "computerId": "2ed0514c345227a59729081c", "computerName": "johnsmith4268_2024_09_25", "lastFileUploadedTimestamp": "1727285088000" }
computerId
string

The unique identifier for the computer.

Exampledeb0b1bcd412a7759709081c
computerName
string

Name of computer.

Examplejohnsmith4268_2024_07_12
lastFileUploadedTimestamp
integer

The timestamp of the last time the computer backed up to the data center. This is used to determine if a computer backup is no longer in use.

Example1721292320000
400
statuscodedescription
400bad_requestThe request had the wrong fields or illegal values. The message returned with the error will describe the problem.
401invalid_account_idThe accountId parameter is invalid or was not found.
401invalid_computer_idThe computerId parameter is not found, has already been deleted, or is not associated with the supplied accountId.
object
status
integer

The numeric HTTP status code. Always matches the status in the HTTP response.

Example400
code
string

A single-identifier code that identifies the error.

Exampleinvalid_bucket_name
message
string

A human-readable message, in English, saying what went wrong.

Examplebucket name is too long

Was this article helpful?